Median XL launcher on Wine

Discuss Median XL!
zypaza
Skeleton
2 | 0
Hi,

I have been playing Diablo II - Lord of Destruction for nearly a year using Play on Linux software, and I would like to know when could the Median XL launcher be possible to run on Wine? Is there any idea, or perhaps it already works but in a not well-known way?

Thank you.
User avatar
Solfege
Fireblood
987 | 134
Great Popularity Badge
Has a thread with over 50.000 views
Great Love Badge
Earned over 100 cookies
Common Guide Badge
Created a complete character guide
Afaik, there are no plans to make the Launcher compatible with WINE, since Quirinus doesn't use WINE.

I've been trying a few things on my own in my free time. I've been able to get the Launcher itself to run in pure WINE 3.0.2, but it's buggy af. And I've only been able to dl the mod via Launcher once. Haven't got the actual game to play via Launcher yet. Still trying to figure out all these Javascript errors I get relating to some .asar file.
zypaza
Skeleton
2 | 0
Thanks for the reply. In the worst case, I will have to install Windows in another partition to play.
User avatar
k_roland
Cultist
22 | 0
Common Supporter Badge
Donated 1 time
I'm playing on Linux Mint, with Wine.
The MedianXL Launcher does not working, but the D2SE Modmanager with PlugY can run the modded game (without PlugY the Modmanager is not enough).
So, Windows it not necessary (but far easier).
User avatar
Quirinus
Team Member
1697 | 163
Common Posting Badge
Posted over 1.000 messages
Great Popularity Badge
Has a thread with over 50.000 views
Great Love Badge
Earned over 100 cookies
Common Supporter Badge
Donated 1 time
Solfege wrote:Afaik, there are no plans to make the Launcher compatible with WINE, since Quirinus doesn't use WINE.

I've been trying a few things on my own in my free time. I've been able to get the Launcher itself to run in pure WINE 3.0.2, but it's buggy af. And I've only been able to dl the mod via Launcher once. Haven't got the actual game to play via Launcher yet. Still trying to figure out all these Javascript errors I get relating to some .asar file.


You could try building a version without the asar (which is basically like a zip of the source files).
"but if it's simple it's not that hard" - Quirinus 2017
"small things like this are not a big deal" - Quirinus 2017